
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>远程调用jboss as 7上部署的ejb出现No EJB receiver available for handling 异常 / 憋错料</title>

    <meta name="description" content="远程调用jboss as 7上部署的ejb出现No EJB receiver available for handling 异常 昨天倒腾了一天终于配置好了jboss as 7的域,今天又倒腾了一整天在上面部署了个EJB,然后试了一个利用JNDI来进行远程调用.下面记录一下过程中那些乱七八糟的问题: 首先是这个jboss-client.properties文件,各个属性值的含义可以从jboss的官方文档上得到解释https://docs.jboss.org/author/display/AS71/EJB+invocations+from+a+remote+client+using+JNDI 1 endpoint.name=">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">远程调用jboss as 7上部署的ejb出现No EJB receiver available for handling 异常</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>昨天倒腾了一天终于配置好了jboss as 7的域，今天又倒腾了一整天在上面部署了个EJB，然后试了一个利用JNDI来进行远程调用。下面记录一下过程中那些乱七八糟的问题：</p>
<p>首先是这个jboss-client.properties文件，各个属性值的含义可以从jboss的官方文档上得到解释<a href="https://docs.jboss.org/author/display/AS71/EJB+invocations+from+a+remote+client+using+JNDI" rel="external nofollow noreferrer">https://docs.jboss.org/author/display/AS71/EJB+invocations+from+a+remote+client+using+JNDI</a></p>
<pre>1 endpoint.name=client-endpoint
2 remote.connectionprovider.create.options.org.xnio.Options.SSL_ENABLED=false
3 remote.connections=default
4 remote.connection.default.host=192.168.1.33
5 remote.connection.default.port=4447
6 remote.connection.default.connect.options.org.xnio.Options.SASL_POLICY_NOANONYMOUS=false
7 remote.connection.default.username=mosmith
8 remote.connection.default.password=MTIzNDU2</pre>
<p>endpoint.name是个可选的参数，用于EJB Receiver创建连接所用的名称，如果不设置将使用默认值：config-based-ejb-client-endpoint</p>
<p>remote.connectionprovider.create.options.org.xnio.Options.SSL_ENABLED=false官方上说是用在创建connection provider 上处理 remote://协议的参数，但具体是什么没有说，照这名字看来好像与安全有关的（纯属猜测）</p>
<p>remote.connections=default，这是指定连接配置名的，我们可以创建多个配置，具体做法请看官方文档</p>
<p>上面需要注意的是:</p>
<p>username是Jboss中application user 中的用户</p>
<p>password这个属性是用用户密码的base64编码。</p>
<p>下面是我的程序远程调用代码，基本和官方给出的一样：</p>
<pre> 1 package com.bes.training.ejb.EJBRemoteInvocation;
 2
 3 import com.bes.training.ejb.Helloworld.*;
 4
 5 import javax.naming.*;
 6 import java.util.*;
 7
 8 public class RemoteInvocationDemo {
 9     public static void main(String[] args){
10
11         Hashtable&lt;String,String&gt; jndiProperties=new Hashtable&lt;String,String&gt;();
12         jndiProperties.put(Context.URL_PKG_PREFIXES,"org.jboss.ejb.client.naming");
13         //jndiProperties.put(Context.INITIAL_CONTEXT_FACTORY,"org.jboss.naming.remote.client.InitialContextFactory");
14         jndiProperties.put("jboss.naming.client.ejb.context","true");
15
16         try{
17             Context context=new InitialContext(jndiProperties);
18             Object obj=context.lookup("ejb:/temp//SayHelloImpl!com.bes.training.ejb.Helloworld.SayHelloImplRemote" );
19
20             SayHelloImplRemote intf=(SayHelloImplRemote) obj;
21             String result=intf.sayHello("Mosmith");
22             System.out.println(result);
23
24         }catch(NamingException e){
25             System.out.println(e.getMessage());
26             e.printStackTrace();
27         }
28     }
29 }</pre>
<p>但是在eclipse中运行的时候出现了No EJB receiver available for handling的异常：倒腾了好长时间，于是怀疑-Djboss.ejb.client.properties.file.path=jndi.properties参数没有起作用，于是在命令行下运行了一下，正常！回eclipse仔细检查，发现是参数的设置错了：</p>
<p>应该设置在VM arguments而不是Program arguments里。初学者一定要注意这里的区别啊。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 17:11:04 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>远程调用jboss as 7上部署的ejb出现No EJB receiver available for handling 异常的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0d5l1z3.html" rel="bookmark">&lbrack;BAT&rsqb;通过schtasks&period;exe远程调用windows 2008 server上的计划任务，提示ERROR &colon; Access is denied</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在windows 2008 server 上建了一个计划任务,想通过命令 schtasks /run /tn &quot;IPADForAdvisor_QA_APITest&quot; /s SZPCWIN2K801 /u msdomain1\jzhang6 /p jzhang6'spassword 来远程启动这个计划任务,总是提示ERROR : Access is denied 登录的这个用户名和密码是在 SZPCWIN2K801 的 Administrators Group 里面的,而且是在同一个域里			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0baAyoM.html" rel="bookmark">Ejb远程调用-jboss服务器调用服务器-Bean调用Bean</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				英文参考地址 https://docs.jboss.org/author/display/AS71/Remote+EJB+invocations+via+JNDI+-+EJB+client+API+or+remote-naming+project 要解决的问题 公司的底层架构中的Ejb的远程调用通过Controller调用的Bean,所有现在存在的问题就是业务逻辑都写到了Controller,有一些业务得不到复用,方法得不到复用.分布式事务无法控制等等,所以咱们急需把业务写到Bean的实现里面,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wr6XV0.html" rel="bookmark">JBOSS EAP 6&period;2 -EJB远程调用-客户端的配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				EJB访问方式分为远程客户端访问.本地客户端访问和WebService客户端. 所谓的EJB的远程调用是说客户端与服务端的EJB对象不在同一个JVM进程中. 本地客户端是说客户端与服务端的EJB对象在同一个JVM进程中. WebService客户端可以访问无状态会话Bean的接口,只有在业务逻辑方法被标识为@WebMethod的时候,webService客户端才可以访问到. 远程调用 在没有远程调用的时候,我们需要用到别人的数据了,就直接把别人的接口和实现都拿过来了,接着打到自己的包中,这样做一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JyewV3.html" rel="bookmark">JBOSS系列 -EJB远程调用-客户端的配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				EJB访问方式分为远程客户端访问.本地客户端访问和WebService客户端. 所谓的EJB的远程调用是说客户端与服务端的EJB对象不在同一个JVM进程中. 本地客户端是说客户端与服务端的EJB对象在同一个JVM进程中. WebService客户端可以访问无状态会话Bean的接口,只有在业务逻辑方法被标识为@WebMethod的时候,webService客户端才可以访问到. 远程调用 在没有远程调用的时候,我们需要用到别人的数据了,就直接把别人的接口和实现都拿过来了,接着打到自己的包中,这样做一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35wR5VM.html" rel="bookmark">c&num; 调用EXCEL在VS上能正常运行，部署在IIS上不能实现，在VS中运行页面和发布之后在IIS中运行的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				发现一篇文章,很好,解决了这个问题:感谢原博主!特此做个笔记. 地址:http://www.cnblogs.com/zhongxinWang/p/3275154.html 发布在IIS上的Web程序,调用服务器的COM组件 场景大致是这样的,在工厂中分布着许多的PDA点,这些PDA点都要进行实时的扫描--打印操作.实现方法是采用网络打印机,然后服务器安装驱动,管理着所有的打印机.然后服务器,发布一个WebService,给每个PDA上的程序进行调用,PDA在要进行打印的时候,就掉用这个服务,传递			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R7eBP3.html" rel="bookmark">远程调用&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				远程调用的几种方式 在分布式服务框架中,一个最基础的问题就是远程服务是怎么通讯的,在Java领域中有很多可实现远程通讯的技术,例如:RMI.MINA.ESB. Burlap.Hessian.SOAP.EJB和JMS 等,这些名词之间到底是些什么关系呢,它们背后到底是基于什么原理实现的呢,了解这些是实现分布式服务框架的基础知识,而如果在性能上有高的要求的话,那 深入了解这些技术背后的机制就是必须的了,在这篇blog中我们将来一探究竟,抛砖引玉,欢迎大家提供更多的实现远程通讯的技术和原理的介绍. 基			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWqE5a3.html" rel="bookmark">在jboss上部署web应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.JBoss介绍 JBoss完全实现了J2EE的服务栈: EJB (Enterprise JavaBeans) JMS (Java Message Service) JTS/JTA (Java Transaction Service / Java Transaction API) Servlet and JSP (JavaServer Pages) JNDI (Java Naming and Directory Interface) 它还提供一些高级特性,比如集群.JMX.Web Servic			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzXnZq3.html" rel="bookmark">阿里云上部署webservice其他机器调用提示&OpenCurlyDoubleQuote;测试窗体只能用于来自本地计算机的请求&rdquo;问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云上部署webservice,服务器本身测试可以整成使用,但是在其他机器上调用时找不到网页或者webservice 前一段时间做项目时需要用到webservice,开始时在自己的本地机器上创建了webservice,然后在vs2012中发布了这个webservice 然后在iis上配置好以后,本地调用测试开发都可以,项目接近尾声时我们需要把webservice发布到外网上,让其他程序调用, 调用时提示|:测试窗体只能用于来自本地计算机的请求 我们只要在webconfig文件中的&lt;system			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0n8PyK4.html" rel="bookmark">使用 maven&colon;archetype 创建JSF2 &plus; EJB3&period;1 &plus; JPA2项目骨架并在JBoss WildFly 8&period;1上部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				执行以下命令创建项目骨架: mvn archetype:generate -DarchetypeGroupId=org.jboss.spec.archetypes -DarchetypeArtifactId=jboss-javaee6-webapp-ear-archetype -DarchetypeVersion=7.1.1.Final -DgroupId={你的groupId} -DartifactId={你的artifactId} -Dversion=1.0-SNAPSHOT 项目生成完毕后			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myw59A3.html" rel="bookmark" class="title">正则表达式匹配&sol;data&sol;misc&sol;wifi&sol;wpa&lowbar;supplicant&period;conf的WiFi名称与密码</a>
					<div>
						正则表达式匹配/data/misc/wifi/wpa_supplicant.conf的WiFi名称与密码: String regex_name=&quot;ssid=\&quot;(.*?)\&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPdZqzM.html" rel="bookmark" class="title">Redis占硬盘空间</a>
					<div>
						转载自:http://blog.csdn.net/qq285744011/article/details/51002409 [问题的原因] Windows版Redis启动后,会在C盘自动创建一个很大的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dxey90.html" rel="bookmark" class="title">linux笔记六-------文件权限设置</a>
					<div>
						1.文件(目录)权限本身划分:读read   写write   执行execute 权限从用户的角度划分:主人权限user    同组用户权限group    其他组用户的权限other music. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWYQEy3.html" rel="bookmark" class="title">打造VIM IDE（针对C语言开发者）</a>
					<div>
						================================使用vim打造IDE, 针对C语言开发者建议使用gvim================================ 先上两个截图  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDEnnM.html" rel="bookmark" class="title">cocos2dx 导出c&plus;&plus;类供lua使用</a>
					<div>
						官方教程传送门 http://www.cocos2d-x.org/docs/manual/framework/native/wiki/how-to-use-bindings-generator/zh  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4ARVZKM.html" rel="bookmark" class="title">Scala 深入浅出实战经典 第86讲：Scala中For表达式的生成器、定义和过滤器</a>
					<div>
						package com.dt.scala.forexpression object ForInAction { def main(args: Array[String]) { val lauren = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/352VE24.html" rel="bookmark" class="title">Mac OS X 10&period;10更新及体验</a>
					<div>
						前一阵子,更新了Mac OS 10.10 Yosemite,总体用起来感觉还是很不错的,是很值得升级,相对于10.9 Mavericks优化了不少东西.我之前写的使用教程有一些也就不适用了:比如更换D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1Bky4.html" rel="bookmark" class="title">PostMessage 向Windows窗口发送Alt组合键</a>
					<div>
						关于向Windows窗口发送Alt组合键的问题,这个真是经典问题啊,在网上找了一下,问的人N多,方法差不多, 但就是没有很好解决问题. 之前找到一个能正确发送的code:(Alt+A) PostMes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e7zRw4.html" rel="bookmark" class="title">Hadoop的伪分布式搭建</a>
					<div>
						我们在搭建伪分布式Hadoop环境,需要将一系列的配置文件配置好. 一.配置文件 1. 配置文件hadoop-env.sh export JAVA_HOME=/opt/modules/jdk1.7.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1L6DM.html" rel="bookmark" class="title">第一节jdk1&period;6&plus;tomcat8搭建方法</a>
					<div>
						具体下载可能遇到的疑问 zip (pgp, md5, sha1)    zip文档适合windows tar.gz (pgp, md5, sha1)  tar.gz文档适合linux解压 32-bit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLZAKB3.html" rel="bookmark" class="title">Linux 环境编译安装mysql  &lpar;源码安装包&rpar;</a>
					<div>
						标注: Linux需要先配置网络yum源,确定yum能在线安装软件包,方便测试过程中安装部分依赖包.配置163网易提示的网络yum源参考博客  http://www.cnblogs.com/zoulo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDy1Ln0.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb; 230&period; Kth Smallest Element in a BST 解题思路</a>
					<div>
						Given a binary search tree, write a function kthSmallest to find the kth smallest element in it. Not ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGdaOY0.html" rel="bookmark" class="title">maven   maven的配置及使用</a>
					<div>
						maven的配置及使用 一.什么是maven: 我们在开发项目的过程中,会使用一些开源框架.第三方的工具等等,这些都是以jar包的方式被项目所引用,并且有些jar包还会依赖其他的jar包,我们同样需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLq7y4.html" rel="bookmark" class="title">目标检测之基础hessian matrix ---海森矩阵</a>
					<div>
						就是海赛(海色)矩阵,在网上搜就有. 在数学中,海色矩阵是一个自变量为向量的实值函数的二阶偏导数组成的方块矩阵, Hessian矩阵是多维变量函数的二阶偏导数矩阵,H(i,j)=d^2(f)/(d(x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38pzqZ3.html" rel="bookmark" class="title">android删除表和清空表</a>
					<div>
						删除某一表: [java] view plain copy //删除某一个表 public void dropTable(SQLiteDatabase db){ db.execSQL(&quot;dr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K8Wkj3.html" rel="bookmark" class="title">Exchange 2016 CU1图文安装详解</a>
					<div>
						统一沟通与协作是将Exchange.Lync.SharePoint统一结合,并将邮件处理,文件分享,即时消息和可视网络会议融为一体,满足不同类型企业的办公需求. 微软Exchange Server系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLdJV4.html" rel="bookmark" class="title">软件笔试积累</a>
					<div>
						1.一个栈的入栈序列为A B C D E 则不可能的输出序列为给解释下原因 : 1.EDCBA 2.DECBA 3.DCEAB 4.ABCDE 答:选3堆栈讲究先进后出,后进先出选项1是abcde先入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xevEQ3.html" rel="bookmark" class="title">linux下配置LAMP开发环境，以及常用小细节</a>
					<div>
						本来安装没什么可说到.但是在linux当中容易会出现各种各样到问题.我安装以后导致各种问题 比如php无法正常解析,数据库无法关闭,Apache无法开启等等........ 所以搞得我比较郁闷,现在把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l1k5E3.html" rel="bookmark" class="title">Unity异常警告错误处理方法</a>
					<div>
						原地址:http://www.haogongju.net/art/2591936 1.  The AnimationClip 'cube1_anim' used by the Animation co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgY7on3.html" rel="bookmark" class="title">java用double和float进行小数计算精度不准确</a>
					<div>
						java用double和float进行小数计算精度不准确 大多数情况下,使用double和float计算的结果是准确的,但是在一些精度要求很高的系统中或者已知的小数计算得到的结果会不准确,这种问题是非 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
